### Name: addPriorConditions
### Title: Additional Prior Conditions
### Aliases: addPriorConditions
### Keywords: misc

### ** Examples

  ## DON'T FORGET TO UPDATE THE NAMESPACE FUNCTION TO RENDER
  ## THE MODIFICATION EFFECTIVE
  ## ==> assignInNamespace("addPriorConditions", addPriorConditions, "bayesGARCH")

  ## COVARIANCE STATIONARITY REQUIRED
  addPriorConditions <- function(psi)
  {
      psi[2] + psi[3] < 1
  }

  ## ALPHA1 > 0.3, BETA < 1, ALPHA1 + BETA < 0.8
  addPriorConditions <- function(psi)
  {
      (psi[2] > 0.3) & (psi[3] < 1) & (psi[2] + psi[3] < 0.8)
  } 

  ## BETA < 0.1, 4 < NU < 15
  addPriorConditions <- function(psi)
  {
      (psi[3] < 0.1) & (psi[4] < 15)
  }
  ## AND THE CONSTRAINT 4 < NU IS INTEGRATED THROUGH THE PRIOR
  ## IN bayesGARCH(y, delta = 4)



